Name:		ebook-tools
Version:	0.2.0
Release:	1%{?dist}
Summary:	Tools for accessing and converting various ebook file formats

Group:		Applications/Publishing
License:	MIT
URL:		http://sourceforge.net/projects/%{name}

Source0:	http://downloads.sourceforge.net/ebook-tools/%{name}-%{version}.tar.gz
Patch0:		ebook-tools-0.2.0-rmhardcoded.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	cmake
BuildRequires:	libxml2-devel
BuildRequires:	libzip-devel

Requires:	%{name}-libs%{?_isa} = %{version}-%{release}

%description
Tools for accessing and converting various ebook file formats.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries

Requires:	%{name}-libs%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package libs
Summary:	Libraries for %{name}
Group:		System Environment/Libraries

%description libs
The %{name}-libs package contains libraries to be used by 
%{name} and others.

%prep
%setup -q
%patch0 -p1 -b .rmhardcoded


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd
make %{_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform} 

#remove because it doesnt work without clit
rm -f %{buildroot}%{_bindir}/lit2epub

%clean
rm -rf %{buildroot}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/einfo

%files	devel
%defattr(-,root,root,-)
%{_libdir}/libepub.so
%{_includedir}/epub*.h

%files	libs
%defattr(-,root,root,-)
%doc README LICENSE
%{_libdir}/libepub.so.0*

%changelog
* Sat Nov 19 2011 Andrew Wyatt <andrew@fuduntu.org>
- Built for Fuduntu

* Thu Sep 09 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.2.0-1
- ebook-tools-0.2.0
- %%files: track lib soname
- tighten subpkg deps with %%_isa

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 24 2009 John5342 <john5342 at, fedoraproject.org> 0.1.1-3
- Actually remove lit2epub this time

* Mon Dec 15 2008 John5342 <john5342 at, fedoraproject.org> 0.1.1-2
- Removed lit2epub as it doesnt work without clit

* Mon Dec 15 2008 John5342 <john5342 at, fedoraproject.org> 0.1.1-1
- Initial package
